package com.qmth.sop.business.bean.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 工时统计-按供应商统计
 * @Author: CaoZixuan
 * @Date: 2024-09-06
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class DingStatisticBySupplierDto {

    @ExcelProperty(value = "服务单元")
    @ApiModelProperty(value = "服务单元")
    private String serviceName;

    @ExcelProperty(value = "供应商")
    @ApiModelProperty(value = "供应商")
    private String supplierName;

    @ExcelProperty(value = "实际出勤（天）")
    @ApiModelProperty(value = "实际出勤（天）")
    private Integer actualDays;

    @ExcelProperty(value = "工作日（天）")
    @ApiModelProperty(value = "工作日（天）")
    private Integer weekdays;

    @ExcelProperty(value = "周末（天）")
    @ApiModelProperty(value = "周末（天）")
    private Integer weekends;

    @ExcelProperty(value = "法定节假日（天）")
    @ApiModelProperty(value = "法定节假日（天）")
    private Integer legalHolidays;

    @ExcelProperty(value = "累计工时（小时）")
    @ApiModelProperty(value = "累计工时（小时）")
    private Double workHours;

    @ExcelProperty(value = "违规工时（天）")
    @ApiModelProperty(value = "违规工时（天）")
    private Integer violationDays;

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Integer getActualDays() {
        return actualDays;
    }

    public void setActualDays(Integer actualDays) {
        this.actualDays = actualDays;
    }

    public Integer getWeekdays() {
        return weekdays;
    }

    public void setWeekdays(Integer weekdays) {
        this.weekdays = weekdays;
    }

    public Integer getWeekends() {
        return weekends;
    }

    public void setWeekends(Integer weekends) {
        this.weekends = weekends;
    }

    public Integer getLegalHolidays() {
        return legalHolidays;
    }

    public void setLegalHolidays(Integer legalHolidays) {
        this.legalHolidays = legalHolidays;
    }

    public Double getWorkHours() {
        return workHours;
    }

    public void setWorkHours(Double workHours) {
        this.workHours = workHours;
    }

    public Integer getViolationDays() {
        return violationDays;
    }

    public void setViolationDays(Integer violationDays) {
        this.violationDays = violationDays;
    }
}
